## pytimechart 1.0.0~rc1

=== docs/sources/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = ..

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml pickle json htmlhelp qthelp latex changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html      to make standalone HTML files"
	@echo "  dirhtml   to make HTML files named index.html in directories"
	@echo "  pickle    to make pickle files"
	@echo "  json      to make JSON files"
	@echo "  htmlhelp  to make HTML files and a HTML help project"
	@echo "  qthelp    to make HTML files and a qthelp project"
	@echo "  latex     to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  changes   to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck to check all external links for integrity"
	@echo "  doctest   to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/pyTimechart.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/pyTimechart.qhc"

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make all-pdf' or \`make all-ps' in that directory to" \
	      "run these through (pdf)latex."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== debian/changelog ===
pytimechart (1.0.0~rc1-3) unstable; urgency=high

  [ Andrew Starr-Bochicchio ]
  * debian/control: Depend on python-gtk2 (Closes: #684779).
  * Add extend-diff-ignore="^[^/]+\.egg-info/" to debian/source/options.
    This allows the package to build twice in a row (Closes: #671148).

  [ Varun Hiremath ]
  * Set urgency high, fixes RC bug.

 -- Varun Hiremath <varun@debian.org>  Thu, 16 Aug 2012 19:13:32 -0400

pytimechart (1.0.0~rc1-2) unstable; urgency=low

  * d/control:
    - Change Maintainer to python apps team
    - Update Vcs headers

 -- Varun Hiremath <varun@debian.org>  Thu, 08 Dec 2011 03:31:05 -0500

pytimechart (1.0.0~rc1-1) unstable; urgency=low

  * Initial upload
  * Add patches/ETS4_api.diff to use ETS4.0 API

 -- Varun Hiremath <varun@debian.org>  Sun, 13 Nov 2011 18:14:30 -0500

=== debian/control ===
Source: pytimechart
Section: python
Priority: optional
Maintainer: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
Uploaders: Varun Hiremath <varun@debian.org>
Build-Depends: debhelper(>= 7.0.50~), python-all, python-setuptools
Standards-Version: 3.9.2
XS-Python-Version: >=2.4
Homepage: http://gitorious.org/pytimechart
Vcs-Svn: svn://svn.debian.org/python-apps/packages/pytimechart/trunk
Vcs-Browser: http://svn.debian.org/viewsvn/python-apps/packages/pytimechart/trunk/

Package: pytimechart
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends},
 python-enthoughtbase, python-chaco, python-wxgtk2.8, python-gtk2
XB-Python-Version: ${python:Versions}
Description: GUI Viewer for Linux kernel traces
 PyTimechart provides explorability and overall visualization of Linux
 kernel traces. It is a tool that parses ftrace text traces, and
 display them with the help of a very powerful dynamic plot framework,
 python-chaco. The GUI makes the best it can to ease the browsing of
 huge traces.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh --with python2 $@

override_dh_install:
	dh_install
	find debian/pytimechart/ -iname images_license.txt | xargs rm

get-orig-source:
	-uscan --force-download	--rename
